group "MessageHeader.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 8 elements
Defined: | globally in fpml-msg-5-3.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 4 locations

Content Model Diagram

Complex Content Model
sentBy?, sendTo*, copyTo*, creationTimestamp?, expiryTimestamp?, implementationSpecification?, partyMessageInformation*, dsig:Signature*

Content Model Elements (8):

  copyTo, creationTimestamp, dsig:Signature, expiryTimestamp, implementationSpecification, partyMessageInformation, sendTo, sentBy

Known Usage Locations

- In definitions of global complexTypes (4):
  ExceptionMessageHeader, NotificationMessageHeader, RequestMessageHeader, ResponseMessageHeader

Annotation
Defines the structure that contains routing and identification information, which allows processing and transfer of the message. It contains only messaging information that is applicable to all messages. If the information is not message related or is not applicable to all messages then it is not defined in the message header.
XML Source (w/o annotations (8); see within schema source)

<xsd:group name="MessageHeader.model"> <xsd:sequence> <xsd:element minOccurs="0" name="sentBy" type="MessageAddress"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="sendTo" type="MessageAddress"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="copyTo" type="MessageAddress"/> <xsd:element minOccurs="0" name="creationTimestamp" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="expiryTimestamp" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="implementationSpecification" type="ImplementationSpecification"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyMessageInformation" type="PartyMessageInformation"/> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="dsig:Signature"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 8/8)
copyTo

  Type: | MessageAddress, simple content

  A unique identifier (within the specified coding scheme) giving the details of some party to whom a copy of this message will be sent for reference.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="copyTo" type="MessageAddress"/>

creationTimestamp

  Type: | xsd:dateTime, predefined, simple content

  The date and time (on the source system) when this message instance was created.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="creationTimestamp" type="xsd:dateTime"/>

dsig:Signature

  Type: | dsig:SignatureType, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" ref="dsig:Signature"/>

expiryTimestamp

  Type: | xsd:dateTime, predefined, simple content

  The date and time (on the source system) when this message instance will be considered expired.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expiryTimestamp" type="xsd:dateTime"/>

implementationSpecification

  Type: | ImplementationSpecification, complex content

  The version(s) of specifications that the sender asserts the message was developed for.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="implementationSpecification" type="ImplementationSpecification"/>

partyMessageInformation

  Type: | PartyMessageInformation, complex content

  Additional message information that may be provided by each involved party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyMessageInformation" type="PartyMessageInformation"/>

sendTo

  Type: | MessageAddress, simple content

  A unique identifier (within its coding scheme) indicating an intended recipent of a message.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="sendTo" type="MessageAddress"/>

sentBy

  Type: | MessageAddress, simple content

  The unique identifier (within its coding scheme) for the originator of a message instance.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="sentBy" type="MessageAddress"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.